package com.ekexiu.portal.basepo;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@Table(create=false)
public class BaseOrganization {
	private String id;
	private String name;
	private String orgType;
	private String orgAttr;
	
	@Column(DE.DictCode)
	public String getOrgAttr() {
		return orgAttr;
	}
	public void setOrgAttr(String orgAttr) {
		this.orgAttr = orgAttr;
	}
	@Column(DE.id_32)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(value=DE.string_de,dbType="VARCHAR(100)")
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	@Column(DE.dictCode)
	public String getOrgType() {
		return orgType;
	}
	public void setOrgType(String orgType) {
		this.orgType = orgType;
	}
}
